<?php
defined('ABSPATH') or die();
/**
 * @package WordPress
 * @subpackage Petro Theme Core
 * @since Petro Theme Core 2.2.2
 */


add_action('init', 'petro_font_register',999);


function petro_font_register(){


  add_filter( 'elementor/icons_manager/additional_tabs', 'petro_additional_ico' );

}

function petro_additional_ico($tabs){
  $additional_tabs = 
  array('fa-construction' => array(
        'name' => 'petro-construct',
        'label' => __( 'Petro Construction', 'petro_core_module' ),
        'url' => get_template_directory_uri()."/fonts/font-construction/petro-construction.css",//self::get_fa_asset_url( 'brands' ),
        'enqueue' => [ get_template_directory_uri()."/fonts/font-construction/petro-construction.css" ],
        'prefix' => 'petro-construct-',
        'displayPrefix' => 'petro-construct',
        'labelIcon' => 'fa fa-paint-roller',
        'ver' => '5.12.0',
        'fetchJson' => get_template_directory_uri()."/fonts/font-construction/petro-construction.js",
        'native' => false
        )
  );


  $tabs = array_merge( $tabs, $additional_tabs );

  return $tabs;
}


?>
